package jp.sourceforge.mailagent;

import java.io.Serializable;

/**
 * テンプレート読込設定.
 */
public class TemplateConfig implements Serializable{
   private static final long serialVersionUID = 1L;
   private String templateLoadpath;
   private String templateInEncode;
   private String templateOutEncode;

   public TemplateConfig(){}
   /**
    * メールテンプレートVelocity読込み時の文字エンコード Getter.
    * @return templateInEncode Velocity読込み時の文字エンコード 
    */
   public String getTemplateInEncode(){
      return this.templateInEncode;
   }
   /**
    * メールテンプレートVelocity読込み時の文字エンコード Setter.
    * @param templateInEncode Velocity読込み時の文字エンコード 
    */
   public void setTemplateInEncode(String templateInEncode){
      this.templateInEncode = templateInEncode;
   }
   /**
    * メールテンプレートを検索するパス Getter
    * @return templateLoadpath メールテンプレートを検索するパス
    */
   public String getTemplateLoadpath(){
      return this.templateLoadpath;
   }
   /**
    * メールテンプレートを検索するパス Setter
    * @param templateLoadpath メールテンプレートを検索するパス
    */
   public void setTemplateLoadpath(String templateLoadpath){
      this.templateLoadpath = templateLoadpath;
   }
   /**
    * メールテンプレートVelocity出力時の文字エンコード Getter.
    * @return templateOutEncode Velocity出力時の文字エンコード
    */
   public String getTemplateOutEncode(){
      return this.templateOutEncode;
   }
   /**
    * メールテンプレートVelocity出力時の文字エンコード Setter.
    * @param templateOutEncode 出力時の文字エンコード
    */
   public void setTemplateOutEncode(String templateOutEncode){
      this.templateOutEncode = templateOutEncode;
   }
}
